Skip to content
A Star Wars Genesys RPG Imperial campaign setting
HTML CSS Ruby PowerShell JavaScript
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.vscode
_adventures
_data
_gm-adventures
_gm-card-boards
_gm-npcs
_gm-vehicles
_includes
_layouts
_npcs
_pages
_posts
_sass
_ugly
_vehicles
assets
.gitignore
.prettierrc
404.html
CNAME
Gemfile
Gemfile.local
Gemfile.local.lock
Gemfile.lock
LICENSE
README.MD
_config.local.yml
_config.yml
adventures.ps1
index.html
npcs.ps1

README.MD

For the New Order

Uri: https://fortheneworder.rpg.solutions/

My notepad

Mount removable media: (e.g. D:)

sudo mkdir /mnt/d
sudo mount -t drvfs D: /mnt/d

To safely unmount

$ sudo umount /mnt/d

Run Jekyll

bundle install
bundle exec jekyll serve

or

bundle exec jekyll serve
# OR
bundle exec jekyll serve --incremental --safe

or (using local configs/gems)

bundle install --gemfile Gemfile.local
bundle update --gemfile Gemfile.local
bundle exec --gemfile Gemfile.local jekyll s --config _config.yml,_config.local.yml
# or
bundle exec --gemfile Gemfile.local jekyll s --config _config.yml,_config.local.yml -I

Jekyll Install Bug

BUG: An error occurred while installing nokogiri (1.8.2), and Bundler cannot continue. (zlib is missing; necessary for building libxml2)

Fix:

sudo apt-get install zlib1g-dev

Install Powershell on Ubuntu

To run the ps1 scripts:

https://docs.microsoft.com/en-us/powershell/scripting/install/installing-powershell-core-on-linux?view=powershell-7#ubuntu-1804

Run PowerShell

pwsh
You can’t perform that action at this time.